ドキュメント

サポート

Game version list

Documentation for Game version list
読み終わるまでの所要時間 1 分最終更新 3日前

Get a list of game versions for the specified
<accountserviceid>
.
https://api.multiplay.co.uk/cfp/v1/gameversion/list
METHOD
GET

Request parameters

VARIABLEDESCRIPTIONOPTIONAL
accountserviceidAccount service ID associated with the specified resource.No
gameidGame ID to list the associated game versions.Yes
gameversionidOptional game version filter.Yes
gameversion_identifierOptional game version identifier filter.Yes

Response fields

Field

Type

Description

Optional

gameversionsarrayList of game version objects.No

Game version object

Field

Type

Description

Optional

identifierstringUnique identifier of the game version.No
descriptionstringDescription of the game version.Yes
gameidintegerGame ID which is related to this game version.No
versionstringVersion information about the game version. Can be an empty string if not set.No
gameversionidintegerID of the game version.No

Example request

curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/gameversion/list?accountserviceid=<accountserviceid>&gameid=<gameid>&gameversionid=<gameversionid>&gameversion_identifier=<gameversion_identifier>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'

Example response

{ "gameversions": [ { "identifier": <identifier>, "description": <description>, "gameid": <gameid>, "version": <version>, "name": "<name", "gameversionid": <gameversionid> }, ... ]}